.banner-newyear-main {
    display: flex;
    position: relative;
    overflow: hidden;
    max-width: 1200px;
    height: 430px;
    width: 100%;

}

.banner-newyear-main::before {
    content: "";
    position: absolute;
    inset: 0;
    background: url('https://insperia.ru/wp-content/uploads/2026/08/banner-newyear-bg.webp')
                center / cover no-repeat;
    pointer-events: none;

}

.banner-newyear-main::after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to bottom,                    
        rgba(0, 0, 0, 0) 0%,         
        rgba(0, 0, 0, 0) 50%,         
        rgba(0, 0, 0, 0.7) 80%,       
        rgba(0, 0, 0, 1) 100%     
    );
    pointer-events: none;
    z-index: 0;
}

.banner-newyear-main__content {
    display: flex;
    width: 100%;
    z-index: 1;
    padding: 40px;

}

.banner-newyear-main__content-mob {
    display: none;

}

.banner-newyear-main__content-desk {
    display: flex;
    justify-content: space-between;
    width: 100%;

}

.banner-newyear-main__content-desk-lft {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: flex-end;
    max-width: 473px;

}

.banner-newyear-main__content-desk-lft p {
    color: #FFF;
    font-family: Stolzl;
    font-size: 44px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -2.2px;

}

.banner-newyear-main__content-desk-lft span {
    color: #FFF;
    font-family: Stolzl;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -1.2px;

    max-width: 360px;

}

.banner-newyear-main__content-desk-rgh {
    display: flex;
    flex-direction: column;
    gap: 8px;
    justify-content: flex-end;
    max-width: 320px;

}

.banner-newyear-main__content-desk-rgh div {
    display: flex;
    justify-content: space-between;

}

.banner-newyear-main__content-desk-rgh a {
    display: flex;
    width: 320px;
    height: 56px;
    padding: 16px 28px;
    justify-content: center;
    align-items: center;
    gap: 10px;

    background: var(--elements-element, #FFF);

    color: var(--text-text, #141414);
    text-align: center;
    font-variant-numeric: lining-nums proportional-nums;

    font-family: Raleway;
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: 22px;
}

.banner-newyear-main__content-desk-rgh span {
    color: #FFF;
    font-family: Stolzl;
    font-size: 28px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;

}


@media (max-width: 1000px) {
    .banner-newyear-main__content-desk {
        flex-direction: column;
    }

}

@media (max-width: 698px) {
    .banner-newyear-main {
        height: 650px;
    }   
    .banner-newyear-main__content {
        padding: unset;
    
    }
    .banner-newyear-main::before {
        content: "";
        position: absolute;
        inset: 0;
        background: url('https://insperia.ru/wp-content/uploads/2026/08/banner-newyear-bg-mob1.1.webp')
                    center / cover no-repeat;
        pointer-events: none;

    }

    .banner-newyear-main__content-desk {
        display: none;
    }

    .banner-newyear-main__content-mob {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        width: 100%;
        gap: 20px;
        padding: 30px 30px 30px 30px;

        max-height: 290px;
        align-self: end;
        position: relative;
    }

    .banner-newyear-main__content-mob::before {
        content: '';
        position: absolute;
        inset: 0;
        background: linear-gradient(
            to top,                  
            rgba(0, 0, 0, 1) 0%,
            rgba(0, 0, 0, 1) 80%, 
            rgba(0, 0, 0, 0.7) 90%, 
            rgba(0, 0, 0, 0) 100% 
        );
        z-index: -1;
        pointer-events: none;
    }

    .banner-newyear-main__content-mob-lft {
        display: flex;
        flex-direction: column;
        gap: 10px;
        justify-content: flex-end;
        max-width: 473px;
    
    }

    .banner-newyear-main__content-mob-lft p {
        color: #FFF;
        text-align: center;
        font-family: Stolzl;
        font-size: 32px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        letter-spacing: -1.6px;
    
    }

    .banner-newyear-main__content-mob-lft span {
        color: #FFF;
        text-align: center;
        font-family: Stolzl;
        font-size: 22px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        letter-spacing: -1.1px;
    }

    .banner-newyear-main__content-mob-rgh {
        display: flex;
        flex-direction: column;
        gap: 8px;
        justify-content: flex-end;
    
    }

    .banner-newyear-main__content-mob-rgh a {
        display: flex;
        height: 45px;
        padding: 16px 28px;
        justify-content: center;
        align-items: center;
        gap: 10px;

        background: var(--elements-element, #FFF);

        color: var(--text-text, #141414);
        text-align: center;

        font-family: Stolzl;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 18px; /* 128.571% */
    }

    .banner-newyear-main__content-mob-rgh div {
        display: flex;
        justify-content: space-between;
        color: #FFF;
        font-family: Stolzl;
        font-size: 18px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }
}